"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getAuthHeader = void 0;
const google_auth_library_1 = require("google-auth-library");
async function getImpersonatedClient(sourceClient, targetPrincipal, targetScopes) {
    return new google_auth_library_1.Impersonated({
        sourceClient,
        targetPrincipal,
        targetScopes
    });
}
async function getAuthHeader(projectId, serviceAccount, scopes) {
    const auth = new google_auth_library_1.GoogleAuth({ projectId });
    const authClient = await auth.getClient();
    const impersonatedClient = await getImpersonatedClient(authClient, serviceAccount, scopes);
    return impersonatedClient.getRequestHeaders();
}
exports.getAuthHeader = getAuthHeader;
